package com.dxhy.common.utils;

import java.util.Map;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * 查询参数
 *
 * @author jiaohongyang
 */

public class Query<T> {

    public IPage<T> getPage(Map<String, Object> params) {
        return this.getPage(params, null, false);
    }

    public IPage<T> getPage(Map<String, Object> params, String defaultOrderField, boolean isAsc) {
        // 分页参数
        long curPage = 1;
        long limit = 10;

        if (params.get(Constant.PAGE) != null) {
            Integer page = (Integer)params.get(Constant.PAGE);
            curPage = page.longValue();
        }
        if (params.get(Constant.LIMIT) != null) {
            Integer limitP = (Integer)params.get(Constant.LIMIT);
            limit = limitP.longValue();
        }

        // 分页对象
        Page<T> page = new Page<>(curPage, limit);

        // 分页参数
        params.put(Constant.PAGE, page);
        return page;
    }
}
